.MenuOverlay {
    padding-bottom: 0 !important;

    &-Menu {
        display: flex;
        height: 100%;
        height: calc(var(--vh, 1vh) * 100 - var(--header-nav-height));
        flex-direction: column;
        justify-content: space-between;
        background-color: white;
    }

    &-Item {
        height: 56px;
        padding: 0;
        margin-bottom: 2px;
        background-color: $white;

        &::before {
            display: none;
        }

        > div,
        > a {
            display: flex;
            height: 100%;
            padding: 8px;
            align-items: center;

            &.MenuOverlay-ItemButton {
                padding-right: 45px;
            }
        }
    }

    &-ItemList {
        padding: 16px;
    }

    &-ItemImage {
        overflow: hidden;
        width: 40px;
        height: 40px;
        border-radius: 100%;
        margin-right: 16px;

        &_type_account {
            &::before {
                height: 15px;
                position: absolute;
                top: 15%;
                left: 28%;
                content: url('../../style/images/user.svg');
            }
        }

        &_type_lang {
            display: flex;
            align-items: center;
            justify-content: center;

            img {
                width: 25px;
                height: 25px;
                border-radius: 50%;
                object-fit: cover;
            }
        }
    }

    &-ItemTitle {
        font-weight: 600;
    }

    &-ItemButton {
        &::after {
            $arrow-border: 1px solid #292929;

            display: inline-block;
            width: 7px;
            height: 7px;
            border-top: $arrow-border;
            border-right: $arrow-border;
            position: absolute;
            top: 24px;
            right: 24px;
            transform: rotate(45deg);
            content: '';
        }
    }

    &-SubMenu {
        width: 100%;
        height: 100%;
        padding-top: var(--header-nav-height);
        position: fixed;
        top: 0;
        left: 0;
        transform: translateX(100%);
        opacity: 0;
        background-color: var(--overlay-background);
        transition: transform 0.2s ease-in-out, -webkit-transform 0.2s ease-in-out;
        pointer-events: none;
        touch-action: pan-y;

        &_isVisible {
            overflow: hidden;
            transform: translateX(0);
            opacity: 1;
            z-index: 10;
            pointer-events: all;
        }

        &_activeElement {
            overflow: auto;
        }
    }
}

.prm .MenuOverlay {
    &-ItemList {
        max-height: calc(100vh - var(--header-nav-height));
        padding: 0;

        .LangPanel {
            &-Langs,
            &-Cms,
            &-Currencies {
                padding: 0 16px;
            }

            &-Langs {
                padding: 16px 16px 0;

                img {
                    top: 67px;
                    left: 34px;
                }
            }
        }
    }

    &-Item {
        border-bottom: 1px solid var(--grey-5-color);
        margin-bottom: 0;

        .MenuOverlay-Link {
            padding: 8px 16px;
        }
    }

    &-ItemTitle {
        color: $black;
        font-family: $font-work-sans;
        font-size: 16px;
        font-weight: normal;
        text-transform: uppercase;
        line-height: 20px;
    }

    &-ItemButton {
        padding-left: 16px;

        &::after {
            border-top: 1px solid $black;
            border-right: 1px solid $black;
        }
    }

    &-ItemImage {
        display: none;

        &_type_account {
            display: block;
            border-radius: 50%;
            background-color: var(--grey-5-color);

            &::before {
                left: 26%;
                transform: scale(0.7);
                filter: brightness(0);
            }
        }
        &_type_lang {
            display: flex;
            border-radius: 0;

            img {
                width: 30px;
                height: 30px;
            }
        }
    }
}
